using System;
using System.IO;
using Gtk;

namespace ModelFileManager
{
	class MainClass
	{
		public static void Main (string[] args)
		{
			// Check for an alternative configuration file to use
			string configFile = "";
			if (args.Length > 0) 
			{
				string argFile = args [0];
				if (System.IO.File.Exists(argFile))
				{
					configFile = argFile;
				}
			}
				
			// Normal startup
			Application.Init ();
			MainWindow win = new MainWindow (configFile);
			win.Show ();
			Application.Run ();
		}
	}
}
